<!DOCTYPE html>
<style>
  .score {
    font-size:40px
  }
  td.ScoreColor {
    color: white;
    font-size: 40px;
    width: auto;
  }
  .awayColor {
    background-color: rgb(150, 133, 40)
  }
  .homeColor {
    background-color: rgb(0, 63, 0)
  }
  html {
    background-color: rgba(0, 0, 0, 0);
  }
</style>

<table class="roundedCorners" style="width: 400px; align-self: left; border-radius: 2px solid;">
  <tbody>
    <tr>
      <td class="ScoreColor" style="background-color: rgb(43, 43, 44);"><strong><center><a id="period">Period: <%=game.period%></a></center></strong></td>
      <td class="ScoreColor">&nbsp;</td>
    </tr>
    <tr>
      <td class="ScoreColor homeColor"><strong><center><a id="homeName"><%=game.home.name%></a></center></strong></td>
      <td class="ScoreColor homeColor"><strong><a id="homeScore"><%=(game.home.score < 10)? `0${game.home.score}`: game.home.score%></a></strong></td>
    </tr>
    <tr>
      <td class="ScoreColor awayColor"><strong><center><a id="awayName"><%=game.away.name%></a></center></strong></td>
      <td class="ScoreColor awayColor"><strong><a id="awayScore"><%=(game.away.score < 10)? `0${game.away.score}`: game.away.score%></a></strong></td>
    </tr>
  </tbody>
</table>

<script src="/socket.io/socket.io.js"></script>

<script>
	var homeScore = document.getElementById("homeScore")
  var awayScore = document.getElementById("awayScore")
  var periodObj = document.getElementById("period")
  var homeNameObj = document.getElementById("homeName")
	var awayNameObj = document.getElementById("awayName")

  var socket = io()
  socket.on('scoreChange', function(data) {
    homeScore.innerHTML = (data.home.score < 10)? `0${data.home.score}`: data.home.score
    awayScore.innerHTML = (data.away.score < 10)? `0${data.away.score}`:data.away.score
		periodObj.innerHTML = `Period: ${data.period}`
    awayNameObj.innerHTML = data.away.name
    homeNameObj.innerHTML = data.home.name
  });
</script>